<?php
# Demo of the invoice generation class
#
# Copyright (C) 2003 Unix Solutions Ltd.
# Written by Georgi Chorbadzhiyski
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
# permitted provided that the following conditions are met:
#
# 1. Redistributions of this script must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
#
#  THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
#  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
#  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO
#  EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
#  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
#  PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
#  OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
#  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
#  OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
#  ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#
	error_reporting(E_ALL);

	include("include/invoice_class.php");

	@$save           = (int)ereg_replace("[^0-9]","",$_GET["save"]);
	@$invoice_type   = (int)ereg_replace("[^0-9]","",$_GET["itype"]);
	@$invoice_format = ereg_replace("[^a-z]","",$_GET["iformat"]);
	@$invoice_kind   = (int)ereg_replace("[^0-9]","",$_GET["ikind"]);
	if ($invoice_kind > 2)
		$invoice_kind = 0;

	if ($invoice_format != "html" && $invoice_format != "pdf")
		$invoice_format = "html";

	$invoice["type"] = $invoice_type;
	$invoice["num"]  = str_pad("13",10,"0",STR_PAD_LEFT);
	$invoice["date"] = "02.28.2003";

	$invoice["buyer"]  = "  ";
	$invoice["buyer_data"] = array("111111111111","YYYYYYYYYYYY",""," 44"," ","", "172837824", "", "65432313");

	$invoice["seller"] = "  ";
	$invoice["seller_data"]  = array("1224091261","130806190","",'. "" 112 '," "," -  ", "1065409506", "9065409500", "66088808");

	$invoice["products"]    = array();
	$invoice["products"][]  = array(" 1:2:12 / 100Mbit / ",3,500);
	$invoice["products"][]  = array(" 1:3:18 / 10Mbit / ",1,300);
	$invoice["products"][]  = array(" 2:4:25 / 10Mbit / ",2,300);
	$invoice["products"][]  = array("Vlan 543  ",1,500);

	$invoice["received_by"] = array($invoice["buyer_data"][4], $invoice["buyer_data"][4]);
	$invoice["created_by"]  = array(" ", $invoice["seller_data"][4]);
	$invoice["payment_for"] = "   12.03.2003";

	if ($save) {
		$pdf=new Invoice();
		$pdf->InitInvoice($invoice);
		if ($invoice_format == "pdf")
			$pdf->CreatePDF($invoice_kind);

		if ($invoice_format == "html")
			$pdf->CreateHTML($invoice_kind);
		$pdf->Output();
	} else {
?>
<form action="<?=$_SERVER['PHP_SELF']?>" method="GET">
<input type="hidden" name="save" value="1">
 :
<select name="itype">
<option value="0"></option>
<option value="1"></option>
<option value="2"></option>
</select><br>
<br>
:
<select name="iformat">
<option value="pdf">PDF</option>
<option value="html">HTML</option>
</select><br>
<br>
:
<select name="ikind">
<option value="0"> + </option>
<option value="1" selected></option>
<option value="2"></option>
</select><br>
<br>

<input type="submit" value="   ">
</form>
<?
	}
?>